On Wed, Nov 21, 2012 at 5:16 PM, Zachary Scott <zachary / zacharyscott.net> wrote:
> optparse is used by many programs, including other stdlib gems.
>
> In my opinion, it would be best to keep backwards compatibility.
>
> Why create a new gem, instead of improving the current standard library?

I agree. Can we identify where optparse isn't optimal and tweak it?

We already have two argument parsing library in stdlib (getoptlong and
optparse).